# Configuration file for Flamenco.
# For an explanation of the fields, refer to the Settings tab in the Manager web interface.
#
# NOTE: this file will be overwritten by Flamenco Manager's web-based configuration system.
#
# This file was written on 2026-04-09 10:48:58 +00:00 by Flamenco 3.8.2

_meta:
  version: 3
manager_name: Flamenco
database: flamenco-manager.sqlite
database_check_period: 10m0s
listen: :8080
autodiscoverable: true
local_manager_storage_path: ./flamenco-manager-storage
shared_storage_path: /data
shaman:
  enabled: true
  garbageCollect:
    period: 24h0m0s
    maxAge: 744h0m0s
task_timeout: 10m0s
worker_timeout: 1m0s
blocklist_threshold: 3
task_fail_after_softfail_count: 3
mqtt:
  client:
    enabled: false
    broker: ""
    clientID: flamenco
    topic_prefix: flamenco
    username: ""
    password: ""
variables:
  blender:
    values:
    - platform: linux
      value: blender
    - platform: windows
      value: blender
    - platform: darwin
      value: blender
  blenderArgs:
    values:
    - platform: all
      value: -b -y
  pathway:
    is_twoway: true
    values:
    - platform: windows
      value: \\server\blender\storage
    - platform: linux
      value: /data
